#!/bin/sh
#### "*******************************************"
#### "              Created By RAED              *"
#### "*        << Edited by  linuxsat25 >>       *"
#### "*        ..:: www.tunisia-sat.com ::..     *"
#### "*******************************************"


CAMD_ID=74.2
CAMD_NAME="OSCam_11.608-r798"
CAMD_BIN=OSCam_11.608-r798

INFOFILE_A=ecm0.info
INFOFILE_B=ecm1.info
INFOFILE_C=ecm2.info
INFOFILE_D=ecm3.info
INFOFILE_E=ecm4.info
INFOFILE_F=ecm5.info
#Expert window
INFOFILE_LINES=11111111111.0000
#Zapp after start
REZAPP=0

########################################

logger $0 $1
echo $0 $1

remove_tmp () {
rm -rf /tmp/*.info* /tmp/*.tmp* /tmp/.OSCam_11.608-r798 /tmp/*share* /tmp/*.pid* /tmp/*sbox* /tmp/OSCam_11.608-r798.* /tmp/*.OSCam_11.608-r798
}

case "$1" in
  start)
  remove_tmp
  /usr/bin/OSCam_11.608-r798 -d -c /etc/tuxbox/config/oscam.conf &
  ;;
  stop)
  killall -9 OSCam_11.608-r798 2>/dev/null
  sleep 2
  remove_tmp
  ;;
  *)
  $0 stop
  exit 0
  ;;
esac

exit 0
